aboutsummaryrefslogtreecommitdiff
path: root/package/python-pyzmq
Commit message (Collapse)AuthorAgeFilesLines
* python-pyzmq: ensure correct path to zmq is usedGravatar Peter Korsgaard2015-02-031-0/+1
| | | | | | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/6ae/6ae84c53985ab52ab1c64dd1e2a16d0bcf9eed1e/ http://autobuild.buildroot.net/results/04d/04d5ceb5335912916f05596a285e84d38a7c7d31/ http://autobuild.buildroot.net/results/77a/77ae85f24fabd00f2981f2dbddb52d8d5091b4a8/ http://autobuild.buildroot.net/results/27a/27adf12cca4e0e998b64fda9bf4be67f6dbe1595/ And many more. If --zmq isn't passed then python-pymq falls back to using 'pkg-config --variable=prefix libzmq' which returns /usr, causing it to look in /usr/lib for libraries breaking the build. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/*: rename patches according to the new policyGravatar Peter Korsgaard2015-02-031-0/+0
| | | | | | | Autogenerated from rename-patch.py (http://patchwork.ozlabs.org/patch/403345) Signed-off-by: Samuel Martin <s.martin49@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: remove the trailing slash sign from <PKG>_SITE variableGravatar Jerzy Grzegorek2014-07-311-1/+1
| | | | | | | | | | | | Since the trailing slash is stripped from $($(PKG)_SITE) by pkg-generic.mk: $(call DOWNLOAD,$($(PKG)_SITE:/=)/$($(PKG)_SOURCE)) so it is redundant. This patch removes it from $(PKG)_SITE variable for BR consistency. Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-pyzmq: bump to version 14.3.1Gravatar Philippe Proulx2014-07-241-1/+1
| | | | | | | | | | > Warning: Users of Python 3.4 should not use pyzmq < 14.3, > due to changes in garbage collection. Plus, there's some interesting stuff in 14.x. Signed-off-by: Philippe Proulx <eeppeliteloop@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-pyzmq: enable PyZMQ for Python 3Gravatar Philippe Proulx2014-07-151-1/+0
| | | | | | | | | The PyZMQ package is currently limited to Python 2; however, its build system does not require the Python 2 interpreter and will work as is with Python 3 (tested). Signed-off-by: Philippe Proulx <eeppeliteloop@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: standardise Apache licensesGravatar Simon Dawson2014-01-021-1/+1
| | | | | | | | Apache licenses are referred to in a variety of ways; standardise these, choosing a form which does not contain whitespace. Signed-off-by: Simon Dawson <spdawson@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* python-pyzmq: convert to the Python package infrastructureGravatar Thomas Petazzoni2013-12-151-23/+3
| | | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Config.in files: add missing dependencies to toolchain option commentsGravatar Thomas De Schampheleire2013-11-101-0/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | When a package A depends on config option B and toolchain option C, then the comment that is given when C is not fulfilled should also depend on B. For example: config BR2_PACKAGE_A depends on BR2_B depends on BR2_LARGEFILE depends on BR2_WCHAR comment "A needs a toolchain w/ largefile, wchar" depends on !BR2_LARGEFILE || !BR2_WCHAR This comment should actually be: comment "A needs a toolchain w/ largefile, wchar" depends on BR2_B depends on !BR2_LARGEFILE || !BR2_WCHAR or if possible (typically when B is a package config option declared in that same Config.in file): if BR2_B comment "A needs a toolchain w/ largefile, wchar" depends on !BR2_LARGEFILE || !BR2_WCHAR [other config options depending on B] endif Otherwise, the comment would be visible even though the other dependencies are not met. This patch adds such missing dependencies, and changes existing such dependencies from depends on BR2_BASE_DEP && !BR2_TOOLCHAIN_USES_GLIBC to depends on BR2_BASE_DEP depends on !BR2_TOOLCHAIN_USES_GLIBC so that (positive) base dependencies are separate from the (negative) toolchain dependencies. This strategy makes it easier to write such comments (because one can simply copy the base dependency from the actual package config option), but also avoids complex and long boolean expressions. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> (untested) Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Config.in files: unify comments of toolchain option dependenciesGravatar Thomas De Schampheleire2013-10-141-1/+1
| | | | | | | | This patch lines up the comments in Config.in files that clarify which toolchain options the package depends on. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* python-pyzmq: use http instead of https to retrieve tarballGravatar Peter Korsgaard2013-09-201-1/+1
| | | | | | | Older wget versions have issues with the ssl certificate, so use http instead. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* python-pyzmq: new packageGravatar Michael Rommel2013-09-183-0/+104
The python language bindings for ZeroMQ. [Peter: moved version note to .mk, single toolchain deps line] Signed-off-by: Michael Rommel <rommel@layer-7.net> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>